#NoTrayIcon
#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_icon=Mail.ico
#AutoIt3Wrapper_Compression=4
#AutoIt3Wrapper_UseX64=n
#AutoIt3Wrapper_Res_Description=Minimize To Tray
#AutoIt3Wrapper_Res_Fileversion=1.0.0.0
#AutoIt3Wrapper_Res_LegalCopyright=Copyright  2010 Burak Keskin
#AutoIt3Wrapper_Res_Language=1031
#AutoIt3Wrapper_Res_Field=E-Mail|burak.keskin@arcor.de
#AutoIt3Wrapper_Res_Field=CompanyName|DeepSoftware
#AutoIt3Wrapper_Res_Field=InternalName|Minimize To Tray
#AutoIt3Wrapper_Res_Field=Comments|
#AutoIt3Wrapper_Res_Field=OriginalFilename|Minimize To Tray.exe
#AutoIt3Wrapper_Res_Field=ProductName|Minimize To Tray
#AutoIt3Wrapper_Run_Obfuscator=y
#Obfuscator_Parameters=/striponly
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.6.0
 Author:         myName

 Script Function:
	Template AutoIt script.

#ce ----------------------------------------------------------------------------

; Script Start - Add your code below here

Opt("TrayMenuMode", 1)
Opt("TrayOnEventMode", 1)

#include <Constants.au3>

Local Const $ScriptOrdner = @ScriptDir
Local Const $ProgrammOrdner = @ProgramFilesDir
Local Const $WindowsMailPath = $ProgrammOrdner & "\Windows Mail\WinMail.exe"
_StarteWinMail()
Local Const $FensterHandle = WinGetHandle("[CLASS:Outlook Express Browser Class]")
Local Const $Delay = 200 ;Aktualisierungszeit in ms.

If Not ProcessExists("WinMail.exe") Then
	MsgBox(16, "Fehler", "Sie mssen zuerst Windows Mail starten.")
	Exit
EndIf

TraySetIcon($WindowsMailPath, -1)
TraySetOnEvent($TRAY_EVENT_PRIMARYDOUBLE , "_ZeigeWindowsMailFenster")

If WinGetState($FensterHandle) <> 23 Then
	TraySetState(2)
Else
	TraySetState(1)
EndIf

AdlibRegister("_VersteckeWindowsMail", $Delay)

;Nichts ^^
While 1
	Sleep(50)
WEnd

;Versteckt das Fenster, wenn es minimiert wurde.
Func _VersteckeWindowsMail()
	Switch WinGetState($FensterHandle)
		Case 23	;Minimiert
			TraySetState(1)
			WinSetState($FensterHandle,"", @SW_HIDE)
	EndSwitch
	If Not ProcessExists("WinMail.exe") Then Exit
EndFunc

;Stellt das Fenster wieder her.
Func _ZeigeWindowsMailFenster()
	Switch WinGetState($FensterHandle)
		Case 7, 21, 39
			TraySetState(2)
			WinActivate($FensterHandle)
			WinSetState($FensterHandle, "", @SW_RESTORE)
	EndSwitch
EndFunc

;Startet Windows Mail.
Func _StarteWinMail()
	If ProcessExists("WinMail.exe") Then Return 0
	Run($WindowsMailPath)
	WinWait("Posteingang - Windows Mail", "Symbolleiste")
	WinSetState("Posteingang - Windows Mail", "Symbolleiste", @SW_MINIMIZE)
EndFunc